package net.waltzstudio.montecarlo.entity.label;

import org.seasar.extension.jdbc.name.PropertyName;
import net.waltzstudio.base.framework.entity.AuditEntityName;

/**
 * ラベルEntityName
 */
public interface LabelName extends AuditEntityName {

	/** ID */
	public static PropertyName<Long> $ID = new PropertyName<Long>("id");

	/** アカウントID */
	public static PropertyName<Long> $ACCOUNT_ID = new PropertyName<Long>("accountId");

	/** ラベル */
	public static PropertyName<String> $LABEL = new PropertyName<String>("label");

	/** 文字色 */
	public static PropertyName<String> $COLOR = new PropertyName<String>("color");

	/** 背景色 */
	public static PropertyName<String> $BACKGROUND_COLOR = new PropertyName<String>("backgroundColor");

}
